
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #458

build fails if faad headers are missing

August 06, 2014 11:01 - Götz Waschk

Status: Closed Start date: August 06, 2014

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/aac Estimated time: 0.00 hour

Target version: 3.5.2   

Affects version: 3.5.1   

Description

This is a regression in audacious-plugins 3.5.1 caused by commit e6aceb23563a416615fad2812fe0f5a9c7501a3d: If aac is not

explicitly disabled and the faad headers are not installed, the build will fail like this:

libmp4.c:8:22: fatal error: neaacdec.h: No such file or directory

configure should fail instead if aac is not disabled and faad headers are missing, that would be nicer.

History

#1 - August 08, 2014 23:28 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.5.2

- % Done changed from 0 to 100

I suppose we ought to check for neaacdec.h instead of faad.h (the old name).  Still I'm confused how you managed to install faad.h but not

neaacdec.h.

#2 - August 09, 2014 13:02 - Götz Waschk

- File build.0.20140806084404.log added

John Lindgren wrote:

I suppose we ought to check for neaacdec.h instead of faad.h (the old name).  Still I'm confused how you managed to install faad.h but not

neaacdec.h.

 

I did not. The check for faad failed, but the aac plugin is not disabled in that case. Please see the attached log file of the build.

#3 - August 15, 2014 03:09 - John Lindgren

My mistake.  It should be really fixed now.

Files

build.0.20140806084404.log 41.8 KB August 09, 2014 Götz Waschk
